edu.northwestern.at.utils

## Class Env

- java.lang.Object
- - edu.northwestern.at.utils.Env

-     public class Env
      extends java.lang.Object

  Environment information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `IS_JAVA_13_OR_LATER` True if running Java 2 level 1.3 or later.
    `static boolean` | `IS_JAVA_14_OR_LATER` True if running Java 2 level 1.4 or later.
    `static boolean` | `IS_JAVA_142_OR_LATER` True if running Java 2 level 1.4.2 or later.
    `static boolean` | `IS_JAVA_15_OR_LATER` True if running Java 2 level 1.5 or later.
    `static boolean` | `IS_JAVA_16_OR_LATER` True if running Java 2 level 1.6 or later.
    `static boolean` | `IS_JAVA_17_OR_LATER` True if running Java 2 level 1.7 or later.
    `static boolean` | `IS_JAVA_18_OR_LATER` True if running Java 2 level 1.8 or later.
    `static boolean` | `IS_JAVA_19_OR_LATER` True if running Java 2 level 1.9 or later.
    `static java.lang.String` | `LINE_SEPARATOR` Line separator.
    `static boolean` | `MACOSX` True if running on Mac OS X.
    `static int` | `MENU_SHORTCUT_KEY_MASK` Menu shortcut key mask.
    `static int` | `MENU_SHORTCUT_SHIFT_KEY_MASK` Menu shortcut key mask with shift key.
    `static java.lang.String` | `OSNAME` The operating system.
    `static boolean` | `WINDOWSOS` True if running on some version of MS Windows.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Env()` Don't allow instantiation, do allow overrides.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OSNAME

          public static final java.lang.String OSNAME

      The operating system.

    - #### MACOSX

          public static final boolean MACOSX

      True if running on Mac OS X.

    - #### WINDOWSOS

          public static final boolean WINDOWSOS

      True if running on some version of MS Windows.

    - #### IS_JAVA_13_OR_LATER

          public static final boolean IS_JAVA_13_OR_LATER

      True if running Java 2 level 1.3 or later.

    - #### IS_JAVA_14_OR_LATER

          public static final boolean IS_JAVA_14_OR_LATER

      True if running Java 2 level 1.4 or later.

    - #### IS_JAVA_142_OR_LATER

          public static final boolean IS_JAVA_142_OR_LATER

      True if running Java 2 level 1.4.2 or later.

    - #### IS_JAVA_15_OR_LATER

          public static final boolean IS_JAVA_15_OR_LATER

      True if running Java 2 level 1.5 or later.

    - #### IS_JAVA_16_OR_LATER

          public static final boolean IS_JAVA_16_OR_LATER

      True if running Java 2 level 1.6 or later.

    - #### IS_JAVA_17_OR_LATER

          public static final boolean IS_JAVA_17_OR_LATER

      True if running Java 2 level 1.7 or later.

    - #### IS_JAVA_18_OR_LATER

          public static final boolean IS_JAVA_18_OR_LATER

      True if running Java 2 level 1.8 or later.

    - #### IS_JAVA_19_OR_LATER

          public static final boolean IS_JAVA_19_OR_LATER

      True if running Java 2 level 1.9 or later.

    - #### MENU_SHORTCUT_KEY_MASK

          public static int MENU_SHORTCUT_KEY_MASK

      Menu shortcut key mask.

    - #### MENU_SHORTCUT_SHIFT_KEY_MASK

          public static int MENU_SHORTCUT_SHIFT_KEY_MASK

      Menu shortcut key mask with shift key.

    - #### LINE_SEPARATOR

          public static final java.lang.String LINE_SEPARATOR

      Line separator.

  - ### Constructor Detail

    - #### Env

          protected Env()

      Don't allow instantiation, do allow overrides.